# Interface TypeAnnotation.TypeParameterBoundTarget

All Superinterfaces:
  `TypeAnnotation.TargetInfo`

Enclosing interface:
  `TypeAnnotation`

public static sealed interface TypeAnnotation.TypeParameterBoundTarget extends TypeAnnotation.TargetInfo
Indicates that an annotation appears on the i'th bound of the j'th type parameter declaration of a generic class, interface, method, or constructor.

Since:
  24
See Also:
  - `TypeAnnotation.TargetInfo.ofTypeParameterBound(TargetType, int, int)`
  - `TypeAnnotation.TargetInfo.ofClassTypeParameterBound(int, int)`
  - `TypeAnnotation.TargetInfo.ofMethodTypeParameterBound(int, int)`

## Field Summary

### Fields declared in interface java.lang.classfile.TypeAnnotation.TargetInfo

`TARGET_CAST, TARGET_CLASS_EXTENDS, TARGET_CLASS_TYPE_PARAMETER, TARGET_CLASS_TYPE_PARAMETER_BOUND, TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT, TARGET_CONSTRUCTOR_REFERENCE, TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT, TARGET_EXCEPTION_PARAMETER, TARGET_FIELD, TARGET_INSTANCEOF, TARGET_LOCAL_VARIABLE, TARGET_METHOD_FORMAL_PARAMETER, TARGET_METHOD_INVOCATION_TYPE_ARGUMENT, TARGET_METHOD_RECEIVER, TARGET_METHOD_REFERENCE, TARGET_METHOD_REFERENCE_TYPE_ARGUMENT, TARGET_METHOD_RETURN, TARGET_METHOD_TYPE_PARAMETER, TARGET_METHOD_TYPE_PARAMETER_BOUND, TARGET_NEW, TARGET_RESOURCE_VARIABLE, TARGET_THROWS`

## Method Summary

Modifier and Type
Method
Description
`int`
`boundIndex()`
Which bound of the type parameter declaration is annotated.
`int`
`typeParameterIndex()`
Which type parameter declaration has an annotated bound.

### Methods declared in interface java.lang.classfile.TypeAnnotation.TargetInfo

`size, targetType`

## Method Details

### typeParameterIndex

int typeParameterIndex()
Which type parameter declaration has an annotated bound.

Returns:
  the zero-origin index into the type parameters

### boundIndex

int boundIndex()
Which bound of the type parameter declaration is annotated.

Returns:
  the zero-origin index into bounds on the type parameter